Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jasig.portal.layout.dlm
Class ConfigurationLoader

    java.lang.Object
      org.jasig.portal.layout.dlm.ConfigurationLoader

    public class ConfigurationLoader

extends java.lang.Object

Since:
  uPortal 2.5
Version:
  $Revision: 1.6.2.1 $ $Date: 2005/09/13 18:31:52 $

Field Summary
`private static java.lang.String` | `CONFIG_FILE_NAME`
`private static java.net.URL` | `configFileURL`
`private static org.apache.commons.logging.Log` | `LOG`
`static java.lang.String` | `RCS_ID`

Constructor Summary
`ConfigurationLoader()`

Method Summary
`private static FragmentDefinition[]` | `appendDef(FragmentDefinition f, FragmentDefinition[] frags)`
`private static FragmentDefinition[]` | `getFragments(org.w3c.dom.NodeList frags)`
`private static java.util.Properties` | `getProperties(org.w3c.dom.NodeList props)`
`static void` | `load(RDBMDistributedLayoutStore dlManager)` Load the distributed layout configuration.
`private static void` | `logConfigFileInfo()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### RCS_ID

    public static final java.lang.String RCS_ID

See Also:
  Constant Field Values

### CONFIG_FILE_NAME

    private static final java.lang.String CONFIG_FILE_NAME

See Also:
  Constant Field Values

### configFileURL

    private static java.net.URL configFileURL

### LOG

    private static final org.apache.commons.logging.Log LOG

Constructor Detail

### ConfigurationLoader

    public ConfigurationLoader()

Method Detail

### load

    public static void load(RDBMDistributedLayoutStore dlManager)

  Load the distributed layout configuration.

### logConfigFileInfo

    private static void logConfigFileInfo()

### getProperties

    private static java.util.Properties getProperties(org.w3c.dom.NodeList props)

### getFragments

    private static FragmentDefinition[] getFragments(org.w3c.dom.NodeList frags)

### appendDef

    private static FragmentDefinition[] appendDef(FragmentDefinition f,
                                                  FragmentDefinition[] frags)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD